Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.struts.command
Class ViewCommandExecutionContext

    java.lang.Object
      com.ibm.portal.struts.command.ViewCommandExecutionContext

    public class ViewCommandExecutionContext

extends java.lang.Object

The `ViewCommandExecutionContext` class is a context object that is passed to the execute method of an IViewCommand. This is a generic context object that is provided so the StrutsViewCommand implementation has access to the objects necessary to render the view.

Since:
  5.1

Constructor Summary
`ViewCommandExecutionContext(PortletContext portletContext, ModuleContext moduleContext, ServletContext servletContext)` Construct the ViewCommandExecutionContext object
`ViewCommandExecutionContext(PortletContext portletContext, ModuleContext moduleContext, ServletContext servletContext, PageContext pageContext)` Construct the ViewCommandExecutionContext object
`ViewCommandExecutionContext(PortletRequest portletRequest, PortletResponse portletResponse, WpActionServlet actionServlet)` Construct the ViewCommandExecutionContext obect.

Method Summary
`ModuleContext` | `getModuleContext()` Return the ModuleContext object
`PageContext` | `getPageContext()` Return the PageContext object
`PortletContext` | `getPortletContext()` Return the PortletContext object
`ServletContext` | `getServletContext()` Return the ServletContext object
`void` | `setModuleContext(ModuleContext context)` Set the ModuleContext
`void` | `setPageContext(PageContext pageContext)` Set the PageContext object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewCommandExecutionContext

    public ViewCommandExecutionContext(PortletContext portletContext,
                                       ModuleContext moduleContext,
                                       ServletContext servletContext)

  Construct the ViewCommandExecutionContext object

  Parameters:
    `portletContext` - the portlet context object
    `moduleContext` - the module context object
    `servletContext` - the servlet context object

### ViewCommandExecutionContext

    public ViewCommandExecutionContext(PortletContext portletContext,
                                       ModuleContext moduleContext,
                                       ServletContext servletContext,
                                       PageContext pageContext)

  Construct the ViewCommandExecutionContext object

  Parameters:
    `portletContext` - the portlet context object
    `moduleContext` - the module context object
    `servletContext` - the servlet context object
    `pageContext` - the page context object

### ViewCommandExecutionContext

    public ViewCommandExecutionContext(PortletRequest portletRequest,
                                       PortletResponse portletResponse,
                                       WpActionServlet actionServlet)

  Construct the ViewCommandExecutionContext obect. This version will get the portlet context and the servlet context from the WpActionServlet object.

  Parameters:
    `portletRequest` - the portlet request object
    `portletResponse` - the portlet response object
    `actionServlet` - the action servlet object

Method Detail

### getPortletContext

    public PortletContext getPortletContext()

  Return the PortletContext object

  Returns:
    returns the portlet context

### getModuleContext

    public ModuleContext getModuleContext()

  Return the ModuleContext object

  Returns:
    returns the module context

### setModuleContext

    public void setModuleContext(ModuleContext context)

  Set the ModuleContext

  Parameters:
    `context` - the module context object

### getServletContext

    public ServletContext getServletContext()

  Return the ServletContext object

  Returns:
    returns the servlet context object

### getPageContext

    public PageContext getPageContext()

  Return the PageContext object

  Returns:
    returns the page context, can be `null`

### setPageContext

    public void setPageContext(PageContext pageContext)

  Set the PageContext object

  Parameters:
    `pageContext` - the page context object

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD